Package ch.qos.logback.classic.pattern

## Class CallerDataConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
      - - ch.qos.logback.classic.pattern.ClassicConverter
        - - ch.qos.logback.classic.pattern.CallerDataConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

    public class CallerDataConverter
    extends ClassicConverter

This converter outputs caller data depending on depth or depth range and marker data.

Author:
  Ceki Gulcu

### Field Summary

Fields
`static java.lang.String` `DEFAULT_CALLER_LINE_PREFIX`
`static java.lang.String` `DEFAULT_RANGE_DELIMITER`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
`CallerDataConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `convert​(ILoggingEvent le)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`protected java.lang.String` `getCallerLinePrefix()`
`protected java.lang.String` `getDefaultRangeDelimiter()`
`void` `start()` Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CALLER_LINE_PREFIX

    public static final java.lang.String DEFAULT_CALLER_LINE_PREFIX

See Also:
  Constant Field Values

#### DEFAULT_RANGE_DELIMITER

    public static final java.lang.String DEFAULT_RANGE_DELIMITER

See Also:
  Constant Field Values

### Constructor Detail

#### CallerDataConverter

    public CallerDataConverter()

### Method Detail

#### start

    public void start()

Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<ILoggingEvent>`

#### convert

    public java.lang.String convert​(ILoggingEvent le)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<ILoggingEvent>`

#### getCallerLinePrefix

    protected java.lang.String getCallerLinePrefix()

#### getDefaultRangeDelimiter

    protected java.lang.String getDefaultRangeDelimiter()